Add alert tags
Action ID:tools.incident_io.add_alert_tags
Add tags to an alert without changing its existing tags. Calls POST /v2/alerts/{id}/actions/add_tags directly. Requires API key scope: alerts.edit.
Reference: https://docs.incident.io/api-reference/alerts-v2/add-tags
Secrets
Required secrets:incident_io: required valuesINCIDENT_IO_API_KEY.
Input fields
string
required
Unique identifier for the alert
array[string]
required
Tag names to add to this alert
string | null
incident.io API base URL.Default:
null.Connect follow-up external issue
Action ID:tools.incident_io.connect_follow_up_external_issue
Connect a follow-up to an existing issue in an issue tracker, using the URL of the issue. Calls POST /v3/follow_ups/{id}/actions/connect_external_issue directly. Requires API key scope: follow_ups.connect_external_issue.
Reference: https://docs.incident.io/api-reference/follow-ups-v3/connect-external-issue
Secrets
Required secrets:incident_io: required valuesINCIDENT_IO_API_KEY.
Input fields
string
required
Unique identifier for the follow-up
string
required
The issue tracker provider the issue belongs to. Allowed values:
asana, azure_devops, click_up, freshservice, linear, jira, salesforce, jira_server, github, gitlab, service_now, shortcut, notion.string
required
URL of the issue in the external provider
string | null
incident.io API base URL.Default:
null.Connect incident external issue
Action ID:tools.incident_io.connect_incident_external_issue
Connect an existing issue in an issue tracker to an incident, as its external issue. Calls POST /v2/incidents/{id}/actions/connect_external_issue directly.
Reference: https://docs.incident.io/api-reference/incidents-v2/connect-external-issue
Secrets
Required secrets:incident_io: required valuesINCIDENT_IO_API_KEY.
Input fields
string
required
The unique identifier of the incident
string
required
ID of the incident ticket template to sync the issue with
string
required
The issue tracker provider the issue belongs to. It must match the provider of the incident ticket template. Allowed values:
asana, azure_devops, click_up, freshservice, linear, jira, salesforce, jira_server, github, gitlab, service_now, shortcut, notion.string
required
URL of the issue in the issue tracker
string | null
incident.io API base URL.Default:
null.boolean | null
Whether to replace the incident’s current external issue, if it has a different oneDefault:
null.Create action
Action ID:tools.incident_io.create_action
Create a new incident action. Calls POST /v3/actions directly. Requires API key scope: actions.create.
Reference: https://docs.incident.io/api-reference/actions-v3/create
Secrets
Required secrets:incident_io: required valuesINCIDENT_IO_API_KEY.
Input fields
string
required
Description of the action. Supports Markdown.
string
required
Unique identifier of the incident the action belongs to
string | null
ID of the user this action is assigned toDefault:
null.string | null
incident.io API base URL.Default:
null.Create escalation
Action ID:tools.incident_io.create_escalation
Create an escalation. Calls POST /v2/escalations directly. Requires API key scope: escalations.create.
Reference: https://docs.incident.io/api-reference/escalations-v2/create
Secrets
Required secrets:incident_io: required valuesINCIDENT_IO_API_KEY.
Input fields
string
required
Unique key to prevent duplicate escalations. If this key has already been used, the existing escalation will be returned.
string
required
The title of the escalation. This message will be included in all notifications about this escalation.
string | null
incident.io API base URL.Default:
null.string | null
Additional details about the escalationDefault:
null.string | null
ID of the escalation path to followDefault:
null.string | null
ID of an incident to associate with this escalation. The linked incident will appear in the escalation’s related_incidents field.Default:
null.array[string] | null
IDs of users to escalate directly toDefault:
null.Create follow-up
Action ID:tools.incident_io.create_follow_up
Create a new incident follow-up. Calls POST /v3/follow_ups directly. Requires API key scope: follow_ups.create.
Reference: https://docs.incident.io/api-reference/follow-ups-v3/create
Secrets
Required secrets:incident_io: required valuesINCIDENT_IO_API_KEY.
Input fields
string
required
Unique identifier of the incident the follow-up belongs to
string
required
Title of the follow-up
string | null
ID of the user this follow-up is assigned toDefault:
null.string | null
ID of the team this follow-up is assigned toDefault:
null.string | null
incident.io API base URL.Default:
null.string | null
Description of the follow-up. Supports Markdown.Default:
null.string | null
If this follow-up is related to an external issue, the ID of that issueDefault:
null.string | null
ID of the category for this follow-upDefault:
null.string | null
ID of the priority for this follow-upDefault:
null.array[string] | null
Labels associated with this follow-upDefault:
null.Create HTTP alert event
Action ID:tools.incident_io.create_http_alert_event
Create an alert event using an HTTP source. Calls POST /v2/alert_events/http/{alert_source_config_id} directly. Authenticates with the HTTP alert source secret, not an API key.
Reference: https://docs.incident.io/api-reference/alert-events-v2/create
Secrets
Required secrets:incident_io_alert_source: required valuesINCIDENT_IO_ALERT_SOURCE_TOKEN.
Input fields
string
required
Which alert source config produced this alert
string
required
Current status of this alert. Allowed values:
firing, resolved.string
required
The title of the alert, parsed from the alert payload according to the alert source configuration
string | null
incident.io API base URL.Default:
null.string | null
A deduplication key which uniquely references this alert from your alert source. For newly created HTTP sources, this field is required.
If you send an event with the same deduplication_key multiple times, only one alert will be created in incident.io for this alert source config.
You can filter on this field to find the alert created by an event you’ve sent us.Default:
null.string | null
Description that optionally adds more detail to title. Supports markdown.Default:
null.object | null
Any additional metadata that you’ve configured your alert source to parseDefault:
null.string | null
If applicable, a link to the alert in the upstream systemDefault:
null.Create incident
Action ID:tools.incident_io.create_incident
Create a new incident. Calls POST /v2/incidents directly. Requires API key scope: incidents.create.
Reference: https://docs.incident.io/api-reference/incidents-v2/create
Secrets
Required secrets:incident_io: required valuesINCIDENT_IO_API_KEY.
Input fields
string
required
Unique string used to de-duplicate incident create requests
string
required
Whether the incident should be open to anyone in your Slack workspace (public), or invite-only (private). For more information on Private Incidents see our docs. Allowed values:
public, private.string | null
incident.io API base URL.Default:
null.array[object] | null
Set the incident’s custom fields to these valuesDefault:
null.array[object] | null
Assign incident roles to these peopleDefault:
null.string | null
Incident status to assign to the incidentDefault:
null.array[object] | null
Assign the incident’s timestamps to these valuesDefault:
null.string | null
Incident type to create this incident asDefault:
null.string | null
Whether the incident is real, a test, a tutorial, or importing as a retrospective incident. Allowed values:
standard, retrospective, test, tutorial.Default: null.string | null
Explanation of the incidentDefault:
null.object | null
retrospective_incident_options object. Fields: external_id, postmortem_document_url, slack_channel_id.Default: null.string | null
Severity to create incident asDefault:
null.string | null
Name of the Slack channel to create for this incidentDefault:
null.string | null
Slack Team to create the incident inDefault:
null.string | null
Detailed description of the incidentDefault:
null.Create incident alert
Action ID:tools.incident_io.create_incident_alert
Attach an alert to an incident, creating the connection between them. Calls POST /v2/incident_alerts directly. Requires API key scope: alerts.attach_to_incident.
Reference: https://docs.incident.io/api-reference/incident-alerts-v2/create
Secrets
Required secrets:incident_io: required valuesINCIDENT_IO_API_KEY.
Input fields
string
required
Alert to attach to the incident
string
required
Incident to attach the alert to
string | null
incident.io API base URL.Default:
null.boolean | null
Relate the alert again even though someone previously marked it unrelated to this incident. Defaults to false, which preserves that decision and returns a 422Default:
null.Create incident update
Action ID:tools.incident_io.create_incident_update
Share an update against an incident. Calls POST /v2/incident_updates directly. Requires API key scope: incident_updates.create.
Reference: https://docs.incident.io/api-reference/incident-updates-v2/create
Secrets
Required secrets:incident_io: required valuesINCIDENT_IO_API_KEY.
Input fields
string
required
Unique string used to de-duplicate incident update requests. Retrying with the same key returns the update the first request created, rather than sharing a second one.
string
required
The incident you want to update
string | null
incident.io API base URL.Default:
null.string | null
Message that explains the context behind the update, in markdownDefault:
null.string | null
Move the incident to this statusDefault:
null.string | null
Move the incident to this severityDefault:
null.Create schedule override
Action ID:tools.incident_io.create_schedule_override
Create a new schedule override. Calls POST /v2/schedule_overrides directly. Requires API key scope: schedule_overrides.create.
Reference: https://docs.incident.io/api-reference/schedule-overrides-v2/create
Secrets
Required secrets:incident_io: required valuesINCIDENT_IO_API_KEY.
Input fields
string
required
End time of the override
string
required
The layer this override applies to
string
required
The rotation this override applies to
string
required
The schedule this override applies to
string
required
Start time of the override
object
required
user object. Fields: email, id, slack_user_id.string | null
incident.io API base URL.Default:
null.Delete action
Action ID:tools.incident_io.delete_action
Delete an incident action. Calls DELETE /v3/actions/{id} directly. Requires API key scope: actions.destroy.
Reference: https://docs.incident.io/api-reference/actions-v3/delete
Secrets
Required secrets:incident_io: required valuesINCIDENT_IO_API_KEY.
Input fields
string
required
Unique identifier for the action
string | null
incident.io API base URL.Default:
null.Delete schedule override
Action ID:tools.incident_io.delete_schedule_override
Delete a schedule override, restoring whoever the rotations put on-call for that window. Calls DELETE /v2/schedule_overrides/{id} directly. Requires API key scope: schedule_overrides.destroy.
Reference: https://docs.incident.io/api-reference/schedule-overrides-v2/delete
Secrets
Required secrets:incident_io: required valuesINCIDENT_IO_API_KEY.
Input fields
string
required
The override ID to delete
string | null
incident.io API base URL.Default:
null.Edit incident
Action ID:tools.incident_io.edit_incident
Edit an existing incident. Calls POST /v2/incidents/{id}/actions/edit directly.
Reference: https://docs.incident.io/api-reference/incidents-v2/edit
Secrets
Required secrets:incident_io: required valuesINCIDENT_IO_API_KEY.
Input fields
string
required
The unique identifier of the incident that you want to edit
object
required
incident object. Fields: call_url, custom_field_entries, incident_role_assignments, incident_status_id, incident_timestamp_values, name, severity_id, slack_channel_name_override, summary.boolean
required
Should we send Slack channel notifications to inform responders of this update? Note that this won’t work if the Slack channel has already been archived.
string | null
incident.io API base URL.Default:
null.Get alert
Action ID:tools.incident_io.get_alert
Show a single alert for your account. Calls GET /v2/alerts/{id} directly. Requires API key scope: alerts.view.
Reference: https://docs.incident.io/api-reference/alerts-v2/show
Secrets
Required secrets:incident_io: required valuesINCIDENT_IO_API_KEY.
Input fields
string
required
Unique identifier for the alert
string | null
incident.io API base URL.Default:
null.Get catalog entry
Action ID:tools.incident_io.get_catalog_entry
Show a single catalog entry. Calls GET /v3/catalog_entries/{id} directly. Requires API key scope: catalog_entries.view.
Reference: https://docs.incident.io/api-reference/catalog-entries-v3/show-entry
Secrets
Required secrets:incident_io: required valuesINCIDENT_IO_API_KEY.
Input fields
string
required
ID of this catalog entry
string | null
incident.io API base URL.Default:
null.boolean | null
Whether to include details of all attribute links (forwards and backwards) within the response. Default behaviour (no query param) is to include only forward links. When expand is false, we only show attributes of the catalog entry itself.When expand is true, we show forward and backward linksDefault:
null.Get escalation
Action ID:tools.incident_io.get_escalation
Show a specific escalation. Calls GET /v2/escalations/{id} directly. Requires API key scope: escalations.view.
Reference: https://docs.incident.io/api-reference/escalations-v2/show
Secrets
Required secrets:incident_io: required valuesINCIDENT_IO_API_KEY.
Input fields
string
required
Unique ID of the escalation
string | null
incident.io API base URL.Default:
null.Get escalation path
Action ID:tools.incident_io.get_escalation_path
Show an escalation path. Calls GET /v2/escalation_paths/{id} directly. Requires API key scope: escalation_paths.view.
Reference: https://docs.incident.io/api-reference/escalation-paths-v2/show
Secrets
Required secrets:incident_io: required valuesINCIDENT_IO_API_KEY.
Input fields
string
required
Unique identifier for this escalation path.
string | null
incident.io API base URL.Default:
null.Get incident
Action ID:tools.incident_io.get_incident
Get a single incident. Calls GET /v2/incidents/{id} directly. Requires API key scope: incidents.view.
Reference: https://docs.incident.io/api-reference/incidents-v2/show
Secrets
Required secrets:incident_io: required valuesINCIDENT_IO_API_KEY.
Input fields
string
required
Unique identifier for the incident
string | null
incident.io API base URL.Default:
null.Get schedule
Action ID:tools.incident_io.get_schedule
Get a single schedule. Calls GET /v2/schedules/{id} directly. Requires API key scope: schedules.view.
Reference: https://docs.incident.io/api-reference/schedules-v2/show
Secrets
Required secrets:incident_io: required valuesINCIDENT_IO_API_KEY.
Input fields
string
required
Unique internal ID of the schedule
string | null
incident.io API base URL.Default:
null.List actions
Action ID:tools.incident_io.list_actions
List actions for an organisation. Calls GET /v3/actions directly. Requires API key scope: actions.view.
Reference: https://docs.incident.io/api-reference/actions-v3/list
Secrets
Required secrets:incident_io: required valuesINCIDENT_IO_API_KEY.
Input fields
string | null
An action’s ID. This endpoint will return a list of actions after this ID in relation to the API response order.Default:
null.string | null
incident.io API base URL.Default:
null.string | null
Filter on action created at timestamp. Accepted operators are ‘gte’, ‘lte’ and ‘date_range’. Value for the
date_range operator. Two dates joined by ~, for example 2024-12-02~2024-12-08.Default: null.string | null
Filter on action created at timestamp. Accepted operators are ‘gte’, ‘lte’ and ‘date_range’. Value for the
gte operator.Default: null.string | null
Filter on action created at timestamp. Accepted operators are ‘gte’, ‘lte’ and ‘date_range’. Value for the
lte operator.Default: null.string | null
Find actions related to this incidentDefault:
null.string | null
Filter to actions from incidents of the given mode. If not set, only actions from
standard and retrospective incidents are returned. Allowed values: standard, retrospective, test, tutorial, stream.Default: null.integer | null
Integer number of records to return. Maximum 250.Default:
null.string | null
Filter on action updated at timestamp. Accepted operators are ‘gte’, ‘lte’ and ‘date_range’. Value for the
date_range operator. Two dates joined by ~, for example 2024-12-02~2024-12-08.Default: null.string | null
Filter on action updated at timestamp. Accepted operators are ‘gte’, ‘lte’ and ‘date_range’. Value for the
gte operator.Default: null.string | null
Filter on action updated at timestamp. Accepted operators are ‘gte’, ‘lte’ and ‘date_range’. Value for the
lte operator.Default: null.List alert sources
Action ID:tools.incident_io.list_alert_sources
List all alert sources in your account. Calls GET /v2/alert_sources directly. Requires API key scope: alert_sources.view.
Reference: https://docs.incident.io/api-reference/alert-sources-v2/list
Secrets
Required secrets:incident_io: required valuesINCIDENT_IO_API_KEY.
Input fields
string | null
incident.io API base URL.Default:
null.List alert tags
Action ID:tools.incident_io.list_alert_tags
List the alert tags in your organisation’s vocabulary. Calls GET /v2/alert_tags directly. Requires API key scope: alerts.view.
Reference: https://docs.incident.io/api-reference/alert-tags-v2/list
Secrets
Required secrets:incident_io: required valuesINCIDENT_IO_API_KEY.
Input fields
string | null
A tag’s ID. This endpoint will return a list of tags after this ID in relation to the API response order.Default:
null.string | null
incident.io API base URL.Default:
null.integer | null
Integer number of records to return. Maximum 250.Default:
null.string | null
Filter to tags whose name contains this value (case-insensitive)Default:
null.List alerts
Action ID:tools.incident_io.list_alerts
List all alerts for your account. ```bash. Calls GET /v2/alerts directly. Requires API key scope: alerts.view.
Reference: https://docs.incident.io/api-reference/alerts-v2/list
Secrets
Required secrets:incident_io: required valuesINCIDENT_IO_API_KEY.
Input fields
string | null
If provided, pass this as the ‘after’ param to load the next pageDefault:
null.array[string] | null
Filter on alert group ID. Returns alerts that belong to any of the specified groups. The accepted operator is ‘one_of’. Value for the
one_of operator.Default: null.array[string] | null
Filter on alert source by ID. The accepted operators are ‘one_of’, or ‘not_in’. Value for the
not_in operator.Default: null.array[string] | null
Filter on alert source by ID. The accepted operators are ‘one_of’, or ‘not_in’. Value for the
one_of operator.Default: null.object | null
Filter on an alerts attributes. Alert attribute ID should be sent, followed by the operator and values. Accepted operator will depend on the attribute type. Sent as deepObject query parameters, for example
{"01GBSQF3FHF7FWZQNWGHAVQ804": {"one_of": ["01GBSQF3FHF7FWZQNWGHAVQ804", "01ET65M7ZARSFZ6TFDFVQDN9AA"]}}.Default: null.string | null
incident.io API base URL.Default:
null.string | null
Filter on alert created at timestamp. Accepted operators are ‘gte’, ‘lte’ and ‘date_range’. Value for the
date_range operator. Two dates joined by ~, for example 2024-12-02~2024-12-08.Default: null.string | null
Filter on alert created at timestamp. Accepted operators are ‘gte’, ‘lte’ and ‘date_range’. Value for the
gte operator.Default: null.string | null
Filter on alert created at timestamp. Accepted operators are ‘gte’, ‘lte’ and ‘date_range’. Value for the
lte operator.Default: null.string | null
Filter on alert deduplication key. The accepted operator is ‘is’. Value for the
is operator.Default: null.string | null
Filter on whether an alert has notes. The accepted operator is ‘is’. Value for the
is operator.Default: null.string | null
Filter on whether to include maintenance window alerts. The accepted operator is ‘is’. Value for the
is operator.Default: null.integer | null
Number of alerts to return per page. Maximum 50.Default:
null.array[string] | null
Filter on alert status. The accepted operators are ‘one_of’, or ‘not_in’. Value for the
not_in operator.Default: null.array[string] | null
Filter on alert status. The accepted operators are ‘one_of’, or ‘not_in’. Value for the
one_of operator.Default: null.array[string] | null
Filter on the tags applied to an alert, by tag name. The accepted operators are ‘one_of’, ‘all_of’ and ‘not_in’. Value for the
all_of operator.Default: null.array[string] | null
Filter on the tags applied to an alert, by tag name. The accepted operators are ‘one_of’, ‘all_of’ and ‘not_in’. Value for the
not_in operator.Default: null.array[string] | null
Filter on the tags applied to an alert, by tag name. The accepted operators are ‘one_of’, ‘all_of’ and ‘not_in’. Value for the
one_of operator.Default: null.string | null
Filter on alert updated at timestamp. Accepted operators are ‘gte’, ‘lte’ and ‘date_range’. Value for the
date_range operator. Two dates joined by ~, for example 2024-12-02~2024-12-08.Default: null.string | null
Filter on alert updated at timestamp. Accepted operators are ‘gte’, ‘lte’ and ‘date_range’. Value for the
gte operator.Default: null.string | null
Filter on alert updated at timestamp. Accepted operators are ‘gte’, ‘lte’ and ‘date_range’. Value for the
lte operator.Default: null.List catalog entries
Action ID:tools.incident_io.list_catalog_entries
List entries for a catalog type. Calls GET /v3/catalog_entries directly. Requires API key scope: catalog_entries.view.
Reference: https://docs.incident.io/api-reference/catalog-entries-v3/list-entries
Secrets
Required secrets:incident_io: required valuesINCIDENT_IO_API_KEY.
Input fields
string | null
An record’s ID. This endpoint will return a list of records after this ID in relation to the API response order.Default:
null.string | null
incident.io API base URL.Default:
null.string | null
ID of this catalog typeDefault:
null.string | null
If specified, only entries with this identifier will be returned. This will search by ID, external ID, and aliases.If ‘use name as identifier’ is enabled for the catalog type, this will also match on name.Default:
null.integer | null
The integer number of records to return. Maximum 250.Default:
null.List catalog types
Action ID:tools.incident_io.list_catalog_types
List all catalog types for an organisation, including those synced from external resources. Calls GET /v3/catalog_types directly. Requires API key scope: catalog_types.view.
Reference: https://docs.incident.io/api-reference/catalog-types-v3/list-types
Secrets
Required secrets:incident_io: required valuesINCIDENT_IO_API_KEY.
Input fields
string | null
incident.io API base URL.Default:
null.List custom field options
Action ID:tools.incident_io.list_custom_field_options
Show custom field options for a custom field. Calls GET /v1/custom_field_options directly. Requires API key scope: custom_fields.view.
Reference: https://docs.incident.io/api-reference/custom-field-options-v1/list
Secrets
Required secrets:incident_io: required valuesINCIDENT_IO_API_KEY.
Input fields
string | null
A custom field option’s ID. This endpoint will return a list of custom field options created after this option.Default:
null.string | null
incident.io API base URL.Default:
null.string | null
The custom field to list options for.Default:
null.integer | null
Integer number of records to return. Maximum 250.Default:
null.List custom fields
Action ID:tools.incident_io.list_custom_fields
List all custom fields for an organisation. Calls GET /v2/custom_fields directly. Requires API key scope: custom_fields.view.
Reference: https://docs.incident.io/api-reference/custom-fields-v2/list
Secrets
Required secrets:incident_io: required valuesINCIDENT_IO_API_KEY.
Input fields
string | null
incident.io API base URL.Default:
null.List escalation paths
Action ID:tools.incident_io.list_escalation_paths
List all escalation paths in your account. Calls GET /v2/escalation_paths directly. Requires API key scope: escalation_paths.view.
Reference: https://docs.incident.io/api-reference/escalation-paths-v2/list
Secrets
Required secrets:incident_io: required valuesINCIDENT_IO_API_KEY.
Input fields
string | null
An record’s ID. This endpoint will return a list of records after this ID in relation to the API response order.Default:
null.string | null
incident.io API base URL.Default:
null.integer | null
Integer number of records to return. Maximum 25.Default:
null.List escalations
Action ID:tools.incident_io.list_escalations
List all escalations for your account. Calls GET /v2/escalations directly. Requires API key scope: escalations.view.
Reference: https://docs.incident.io/api-reference/escalations-v2/list
Secrets
Required secrets:incident_io: required valuesINCIDENT_IO_API_KEY.
Input fields
string | null
An escalation’s ID. This endpoint will return a list of escalations after this ID in relation to the API response order.Default:
null.array[string] | null
Filter on the alert that created an escalation. Accepted operators are ‘one_of’ and ‘not_in’. Value for the
not_in operator.Default: null.array[string] | null
Filter on the alert that created an escalation. Accepted operators are ‘one_of’ and ‘not_in’. Value for the
one_of operator.Default: null.string | null
incident.io API base URL.Default:
null.string | null
Filter on the created_at timestamp of the escalation. Accepted operators are ‘gte’, ‘lte’ and ‘date_range’. Value for the
date_range operator. Two dates joined by ~, for example 2024-12-02~2024-12-08.Default: null.string | null
Filter on the created_at timestamp of the escalation. Accepted operators are ‘gte’, ‘lte’ and ‘date_range’. Value for the
gte operator.Default: null.string | null
Filter on the created_at timestamp of the escalation. Accepted operators are ‘gte’, ‘lte’ and ‘date_range’. Value for the
lte operator.Default: null.array[string] | null
Filter on the escalation path for which the escalation was triggered. Accepted operators are ‘one_of’ and ‘not_in’. Value for the
not_in operator.Default: null.array[string] | null
Filter on the escalation path for which the escalation was triggered. Accepted operators are ‘one_of’ and ‘not_in’. Value for the
one_of operator.Default: null.string | null
Filter on the idempotency key of the escalation. This is the key set when creating escalations via the API, and is distinct from alert deduplication keys. Accepted operators are ‘is’ for exact matches and ‘starts_with’ for prefix matching. Value for the
is operator.Default: null.string | null
Filter on the idempotency key of the escalation. This is the key set when creating escalations via the API, and is distinct from alert deduplication keys. Accepted operators are ‘is’ for exact matches and ‘starts_with’ for prefix matching. Value for the
starts_with operator.Default: null.array[string] | null
Filter on the incident that the escalation is connected to. Accepted operators are ‘one_of’ and ‘not_in’. Value for the
not_in operator.Default: null.array[string] | null
Filter on the incident that the escalation is connected to. Accepted operators are ‘one_of’ and ‘not_in’. Value for the
one_of operator.Default: null.integer | null
Number of escalations to return per page. Maximum 50.Default:
null.array[string] | null
Filter on the status of the escalation. Accepted operators are ‘one_of’ and ‘not_in’. Value for the
not_in operator.Default: null.array[string] | null
Filter on the status of the escalation. Accepted operators are ‘one_of’ and ‘not_in’. Value for the
one_of operator.Default: null.string | null
Filter on the updated_at timestamp of the escalation. Accepted operators are ‘gte’, ‘lte’ and ‘date_range’. Value for the
date_range operator. Two dates joined by ~, for example 2024-12-02~2024-12-08.Default: null.string | null
Filter on the updated_at timestamp of the escalation. Accepted operators are ‘gte’, ‘lte’ and ‘date_range’. Value for the
gte operator.Default: null.string | null
Filter on the updated_at timestamp of the escalation. Accepted operators are ‘gte’, ‘lte’ and ‘date_range’. Value for the
lte operator.Default: null.List follow-ups
Action ID:tools.incident_io.list_follow_ups
List follow-ups for an organisation. Calls GET /v3/follow_ups directly. Requires API key scope: actions.view.
Reference: https://docs.incident.io/api-reference/follow-ups-v3/list
Secrets
Required secrets:incident_io: required valuesINCIDENT_IO_API_KEY.
Input fields
string | null
A follow-up’s ID. This endpoint will return a list of follow-ups after this ID in relation to the API response order.Default:
null.string | null
Filter follow-ups that are assigned to the given teamDefault:
null.string | null
incident.io API base URL.Default:
null.string | null
Filter on follow-up created at timestamp. Accepted operators are ‘gte’, ‘lte’ and ‘date_range’. Value for the
date_range operator. Two dates joined by ~, for example 2024-12-02~2024-12-08.Default: null.string | null
Filter on follow-up created at timestamp. Accepted operators are ‘gte’, ‘lte’ and ‘date_range’. Value for the
gte operator.Default: null.string | null
Filter on follow-up created at timestamp. Accepted operators are ‘gte’, ‘lte’ and ‘date_range’. Value for the
lte operator.Default: null.string | null
Find follow-ups related to this incidentDefault:
null.string | null
Filter to follow-ups from incidents of the given mode. If not set, only follow-ups from
standard and retrospective incidents are returned. Allowed values: standard, retrospective, test, tutorial, stream.Default: null.integer | null
Integer number of records to return. Maximum 250.Default:
null.string | null
Filter on follow-up updated at timestamp. Accepted operators are ‘gte’, ‘lte’ and ‘date_range’. Value for the
date_range operator. Two dates joined by ~, for example 2024-12-02~2024-12-08.Default: null.string | null
Filter on follow-up updated at timestamp. Accepted operators are ‘gte’, ‘lte’ and ‘date_range’. Value for the
gte operator.Default: null.string | null
Filter on follow-up updated at timestamp. Accepted operators are ‘gte’, ‘lte’ and ‘date_range’. Value for the
lte operator.Default: null.List incident alerts
Action ID:tools.incident_io.list_incident_alerts
List the connections between incidents and alerts. Calls GET /v2/incident_alerts directly. Requires API key scope: alerts.view.
Reference: https://docs.incident.io/api-reference/incident-alerts-v2/list
Secrets
Required secrets:incident_io: required valuesINCIDENT_IO_API_KEY.
Input fields
string | null
If provided, pass this as the ‘after’ param to load the next pageDefault:
null.string | null
Alert that this incident alert refers toDefault:
null.string | null
incident.io API base URL.Default:
null.string | null
Incident that this incident alert is attached toDefault:
null.integer | null
Number of incident alerts to return per page. Maximum 50.Default:
null.List incident roles
Action ID:tools.incident_io.list_incident_roles
List all incident roles for an organisation. Calls GET /v2/incident_roles directly. Requires API key scope: incident_roles.view.
Reference: https://docs.incident.io/api-reference/incident-roles-v2/list
Secrets
Required secrets:incident_io: required valuesINCIDENT_IO_API_KEY.
Input fields
string | null
incident.io API base URL.Default:
null.List incident statuses
Action ID:tools.incident_io.list_incident_statuses
List all incident statuses for an organisation. Calls GET /v1/incident_statuses directly. Requires API key scope: incident_statuses.view.
Reference: https://docs.incident.io/api-reference/incident-statuses-v1/list
Secrets
Required secrets:incident_io: required valuesINCIDENT_IO_API_KEY.
Input fields
string | null
incident.io API base URL.Default:
null.List incident types
Action ID:tools.incident_io.list_incident_types
List all incident types for an organisation. Calls GET /v1/incident_types directly. Requires API key scope: incident_types.view.
Reference: https://docs.incident.io/api-reference/incident-types-v1/list
Secrets
Required secrets:incident_io: required valuesINCIDENT_IO_API_KEY.
Input fields
string | null
incident.io API base URL.Default:
null.List incident updates
Action ID:tools.incident_io.list_incident_updates
List all incident updates for an organisation, or for a specific incident. Calls GET /v2/incident_updates directly. Requires API key scope: incidents.view.
Reference: https://docs.incident.io/api-reference/incident-updates-v2/list
Secrets
Required secrets:incident_io: required valuesINCIDENT_IO_API_KEY.
Input fields
string | null
An record’s ID. This endpoint will return a list of records after this ID in relation to the API response order.Default:
null.string | null
incident.io API base URL.Default:
null.string | null
Incident whose updates you want to listDefault:
null.integer | null
Integer number of records to return. Maximum 250.Default:
null.List incidents
Action ID:tools.incident_io.list_incidents
List all incidents for an organisation. Calls GET /v2/incidents directly. Requires API key scope: incidents.view.
Reference: https://docs.incident.io/api-reference/incidents-v2/list
Secrets
Required secrets:incident_io: required valuesINCIDENT_IO_API_KEY.
Input fields
string | null
An incident’s ID. This endpoint will return a list of incidents after this ID in relation to the API response order.Default:
null.string | null
incident.io API base URL.Default:
null.string | null
Filter on incident created at timestamp. The accepted operators are ‘gte’, ‘lte’ and ‘date_range’. Value for the
date_range operator. Two dates joined by ~, for example 2024-12-02~2024-12-08.Default: null.string | null
Filter on incident created at timestamp. The accepted operators are ‘gte’, ‘lte’ and ‘date_range’. Value for the
gte operator.Default: null.string | null
Filter on incident created at timestamp. The accepted operators are ‘gte’, ‘lte’ and ‘date_range’. Value for the
lte operator.Default: null.object | null
Filter on an incident custom field. Custom field ID should be sent, followed by the operator and values. Accepted operator will depend on the custom field type. Sent as deepObject query parameters, for example
{"01GBSQF3FHF7FWZQNWGHAVQ804": {"one_of": ["01GBSQF3FHF7FWZQNWGHAVQ804", "01ET65M7ZARSFZ6TFDFVQDN9AA"]}}.Default: null.string | null
How to combine the filters: ‘all’ combines them with AND logic (all must match), ‘any’ combines them with OR logic (any can match). Defaults to ‘all’.Default:
null.object | null
Filter on an incident role. Role ID should be sent, along with backlink attribute ID (if needed) followed by the operator and values. The accepted operators are ‘one_of’, ‘is_blank’. Sent as deepObject query parameters, for example
{"01GBSQF3FHF7FWZQNWGHAVQ804": {"one_of": ["01GBSQF3FHF7FWZQNWGHAVQ804", "01ET65M7ZARSFZ6TFDFVQDN9AA"]}}.Default: null.array[string] | null
Filter on incident type. The accepted operators are ‘one_of, or ‘not_in’. Value for the
not_in operator.Default: null.array[string] | null
Filter on incident type. The accepted operators are ‘one_of, or ‘not_in’. Value for the
one_of operator.Default: null.array[string] | null
Filter on incident mode. The accepted operator is ‘one_of’. If this is not provided, this value defaults to
{"one_of": ["standard", "retrospective"] }, meaning that test and tutorial incidents are not included. Value for the one_of operator.Default: null.integer | null
Integer number of records to return. Maximum 500.Default:
null.string | null
Filter on incident severity. The accepted operators are ‘one_of’, ‘not_in’, ‘gte’, ‘lte’. Value for the
gte operator.Default: null.string | null
Filter on incident severity. The accepted operators are ‘one_of’, ‘not_in’, ‘gte’, ‘lte’. Value for the
lte operator.Default: null.array[string] | null
Filter on incident severity. The accepted operators are ‘one_of’, ‘not_in’, ‘gte’, ‘lte’. Value for the
not_in operator.Default: null.array[string] | null
Filter on incident severity. The accepted operators are ‘one_of’, ‘not_in’, ‘gte’, ‘lte’. Value for the
one_of operator.Default: null.string | null
What order to return results in. Allowed values:
created_at_newest_first, created_at_oldest_first.Default: null.array[string] | null
Filter on the category of the incidents status. The accepted operators are ‘one_of’, or ‘not_in’. Value for the
not_in operator.Default: null.array[string] | null
Filter on the category of the incidents status. The accepted operators are ‘one_of’, or ‘not_in’. Value for the
one_of operator.Default: null.array[string] | null
Filter on incident status. The accepted operators are ‘one_of’, or ‘not_in’. Value for the
not_in operator.Default: null.array[string] | null
Filter on incident status. The accepted operators are ‘one_of’, or ‘not_in’. Value for the
one_of operator.Default: null.string | null
Filter on incident updated at timestamp. The accepted operators are ‘gte’, ‘lte’ and ‘date_range’. Value for the
date_range operator. Two dates joined by ~, for example 2024-12-02~2024-12-08.Default: null.string | null
Filter on incident updated at timestamp. The accepted operators are ‘gte’, ‘lte’ and ‘date_range’. Value for the
gte operator.Default: null.string | null
Filter on incident updated at timestamp. The accepted operators are ‘gte’, ‘lte’ and ‘date_range’. Value for the
lte operator.Default: null.List schedule entries
Action ID:tools.incident_io.list_schedule_entries
List the schedule entries for a schedule over a window of time. Calls GET /v2/schedule_entries directly. Requires API key scope: schedules.view.
Reference: https://docs.incident.io/api-reference/schedule-entries-v2/list
Secrets
Required secrets:incident_io: required valuesINCIDENT_IO_API_KEY.
Input fields
string | null
incident.io API base URL.Default:
null.string | null
The end of the window to get entries for.Default:
null.string | null
The start of the window to get entries for. May also carry an opaque pagination cursor previously returned in
pagination_meta.after — pass it back here unchanged to fetch the next page (leave entry_window_end unchanged from the original request).Default: null.string | null
The ID of the schedule to get entries for.Default:
null.List schedules
Action ID:tools.incident_io.list_schedules
List configured schedules. Calls GET /v2/schedules directly. Requires API key scope: schedules.view.
Reference: https://docs.incident.io/api-reference/schedules-v2/list
Secrets
Required secrets:incident_io: required valuesINCIDENT_IO_API_KEY.
Input fields
string | null
A schedule’s ID. This endpoint will return a list of schedules after this ID in relation to the API response order.Default:
null.string | null
incident.io API base URL.Default:
null.integer | null
Note that next_shifts will only be returned when the page size is 25 or lower. Maximum 10000.Default:
null.List severities
Action ID:tools.incident_io.list_severities
List all incident severities for an organisation. Calls GET /v1/severities directly. Requires API key scope: severities.view.
Reference: https://docs.incident.io/api-reference/severities-v1/list
Secrets
Required secrets:incident_io: required valuesINCIDENT_IO_API_KEY.
Input fields
string | null
incident.io API base URL.Default:
null.List teams
Action ID:tools.incident_io.list_teams
List all teams in the organisation. Calls GET /v3/teams directly. Requires API key scope: catalog_entries.view.
Reference: https://docs.incident.io/api-reference/teams-v3/list
Secrets
Required secrets:incident_io: required valuesINCIDENT_IO_API_KEY.
Input fields
string | null
An record’s ID. This endpoint will return a list of records after this ID in relation to the API response order.Default:
null.string | null
incident.io API base URL.Default:
null.integer | null
Integer number of records to return. Maximum 250.Default:
null.List users
Action ID:tools.incident_io.list_users
List users in your account. Calls GET /v2/users directly. Requires API key scope: users.view.
Reference: https://docs.incident.io/api-reference/users-v2/list
Secrets
Required secrets:incident_io: required valuesINCIDENT_IO_API_KEY.
Input fields
string | null
An record’s ID. This endpoint will return a list of records after this ID in relation to the API response order.Default:
null.string | null
incident.io API base URL.Default:
null.string | null
Filter by email addressDefault:
null.boolean | null
Include deactivated or not-yet-active users (defaults to false). Useful for resolving users who have since been offboarded.Default:
null.integer | null
Integer number of records to return. Maximum 10000.Default:
null.string | null
Filter by Slack user IDDefault:
null.Remove alert tags
Action ID:tools.incident_io.remove_alert_tags
Remove tags from an alert without changing its other tags. Calls POST /v2/alerts/{id}/actions/remove_tags directly. Requires API key scope: alerts.edit.
Reference: https://docs.incident.io/api-reference/alerts-v2/remove-tags
Secrets
Required secrets:incident_io: required valuesINCIDENT_IO_API_KEY.
Input fields
string
required
Unique identifier for the alert
array[string]
required
Tag names to remove from this alert
string | null
incident.io API base URL.Default:
null.Resolve alert
Action ID:tools.incident_io.resolve_alert
Resolve a currently firing alert. Calls POST /v2/alerts/{id}/actions/resolve directly. Requires API key scope: alerts.resolve.
Reference: https://docs.incident.io/api-reference/alerts-v2/resolve
Secrets
Required secrets:incident_io: required valuesINCIDENT_IO_API_KEY.
Input fields
string
required
Unique identifier for the alert
string | null
incident.io API base URL.Default:
null.Respond to escalation
Action ID:tools.incident_io.respond_to_escalation
Respond to an escalation. Calls POST /v2/escalations/{escalation_id}/actions/respond directly. Requires API key scope: escalations.respond.
Reference: https://docs.incident.io/api-reference/escalations-v2/respond
Secrets
Required secrets:incident_io: required valuesINCIDENT_IO_API_KEY.
Input fields
string
required
The ID of the escalation
string
required
Whether to acknowledge, decline or snooze the escalation. Allowed values:
ack, nack, snooze.string | null
incident.io API base URL.Default:
null.object | null
snooze_details object. Fields: reason, snooze_until.Default: null.Set alert tags
Action ID:tools.incident_io.set_alert_tags
Replace all tags on an alert. Calls POST /v2/alerts/{id}/actions/set_tags directly. Requires API key scope: alerts.edit.
Reference: https://docs.incident.io/api-reference/alerts-v2/set-tags
Secrets
Required secrets:incident_io: required valuesINCIDENT_IO_API_KEY.
Input fields
string
required
Unique identifier for the alert
array[string]
required
The complete set of tag names for this alert
string | null
incident.io API base URL.Default:
null.Update action
Action ID:tools.incident_io.update_action
Update an existing incident action. Calls PUT /v3/actions/{id} directly. Requires API key scope: actions.update.
Reference: https://docs.incident.io/api-reference/actions-v3/update
Secrets
Required secrets:incident_io: required valuesINCIDENT_IO_API_KEY.
Input fields
string
required
Description of the action. Supports Markdown.
string
required
Unique identifier for the action
string
required
Status of the action. Setting this to
deleted is not allowed; use the delete endpoint instead. Allowed values: outstanding, completed, deleted, not_doing.string | null
ID of the user this action is assigned to. Set to null to unassign.Default:
null.string | null
incident.io API base URL.Default:
null.Update follow-up
Action ID:tools.incident_io.update_follow_up
Update an existing incident follow-up. Calls PUT /v3/follow_ups/{id} directly. Requires API key scope: follow_ups.update.
Reference: https://docs.incident.io/api-reference/follow-ups-v3/update
Secrets
Required secrets:incident_io: required valuesINCIDENT_IO_API_KEY.
Input fields
string
required
Unique identifier for the follow-up
string
required
Status of the follow-up. Setting this to
deleted is not allowed; use the delete endpoint instead. Allowed values: outstanding, completed, deleted, not_doing.string
required
Title of the follow-up
string | null
ID of the user this follow-up is assigned to. Set to null to unassign.Default:
null.string | null
ID of the team this follow-up is assigned to. Set to null to unassign.Default:
null.string | null
incident.io API base URL.Default:
null.string | null
Description of the follow-up. Supports Markdown.Default:
null.string | null
ID of the category for this follow-upDefault:
null.string | null
ID of the priority for this follow-upDefault:
null.array[string] | null
Labels associated with this follow-upDefault:
null.